import javax.annotation.Priority;
import javax.interceptor.AroundInvoke;
import javax.interceptor.Interceptor;
import javax.interceptor.InvocationContext;
import javax.ws.rs.core.Context;
import javax.ws.rs.core.HttpHeaders;

@Test
@Interceptor
@Priority(Interceptor.Priority.APPLICATION + 10)
public class TestInterceptor2 {
	@Context
	private HttpHeaders headers;

	@AroundInvoke
	public Object intercept(InvocationContext ic) throws Exception {
		System.out.println("TestInterceptor2");
		return ic.proceed();
	}
}
